@znz blog

ZnZ の memo のようなもの

関西オープンフォーラム2016にいってきた

| Comments

KOF 2016:関西オープンフォーラム2016 にいってきました。

主に東海道らぐの LT と Debian Updates を見にいったので、そのメモです。

東海道らぐ・鹿肥ゆる秋の大阪湾ライトニングトーク大会 in KOF

  • かな漢字変換ソフト「Genji」をつくってみた
  • ベジェ曲線を極めたい
  • 自宅サーバのトラブルを楽しもう カーネル編
  • (Ubuntu 16.04 から 16.10 にあげたらカーネルパッケージのインストールに失敗して、結局原因は Sophos の無料版を入れていて 16.10 のカーネルに対応していなかったという話)
  • ビットコインとかブロックチェーン
  • Bitcoin の他には Ripple が有名
  • bitFlyer, coincheck, Zaif
  • https://twitter.com/shu_kob
  • mikutter 活動報告
  • あひる焼き
  • 月額利用料0円のモバイルネットワーク通信
  • Y!mobile (旧WILLCOM) の 2,3 台目の基本料金無料と WILLCOM 同士の通話料無料を使うという話だった。
  • Mini Debian Conference Japan 2016, PyConJP 2017

Debian Updates

  • スライドを KDE Connect で Android 端末から操作していた。(ただしマウスカーソルの移動とクリックで次のページはできていたが、それ以外の前のページへ戻るなどの操作は操作方法がわからないからか、できていないようだった。)
  • Debian とは? についていろいろ説明
  • https://ja.wikipedia.org/wiki/GNU_Hurd で使われているロゴじゃない Hurd のロゴがあるらしい https://www.gnu.org/graphics/ahurdlogo.html
  • Debian Updates
  • 2016/02/29 Debian 6 Long Term Support (LTS) 終了 (2つ前のバージョン, 今の安定版は 8)
  • 2016/04/02 Updated Debian 8.4, 7.10
  • 2016 年度 Debian Project Leader 決定
  • 2016/04/25 Debian 7 のセキュリティサポートが LTS チームに移行
  • 2016/05/07 Debian 9 の i386 アーキテクチャのサポート CPU 変更アナウンス: i686 以降に変更 https://lists.debian.org/debian-devel-announce/2016/05/msg00001.html
  • 2016/06/04 Updated Debian 8.5, 7.11
  • 2016/05/15 ZFS in Debian/contrib
  • 2016/07/02-09 Debconf16
  • 2016/08/16 Debian 23 歳
  • 2016/09/17 Debian 8.6
  • Debug symbol 用パッケージ新規スイート提供開始
  • パッケージ名-dbgsym
  • deb.debian.org/debian-debug stretch-debug main
  • debhelper 10
  • Next Debian Release
  • 2016/11/05 Transitions freeze
  • ライブラリの ABI が変わるものは認めない
  • 2017/01/05 “Soft” freeze
  • 2017/02/05 Full freeze
  • 今後のイベント情報
  • 東京エリアDebian勉強会
  • Mini Debian Conference Japan 2016
  • 関西Debian勉強会

終了後

Debian の人たちと懇親会に行きました。

最後の方は端末の話で盛り上がっていたので、次回の関西Debian勉強会は端末ネタになりそうかもしれません。

いろいろ話を聞きましたが、OS X の Emacs で EasyPG が gpg2 で Opening input file: Decryption failed, になったので対処したで書いたように gnupg のデフォルトが 2 系列になると emacs ではまるので確認してみたところ、stretch では 2 系列がデフォルトになって影響がありそうとわかりました。

佐々木さんは Desktop 環境で使っているので GUI の pinentry を使っていて問題なくつかえているという話でした。

帰ってきてから確認してみると、gnupg-agent パッケージが 2.1.15 で 2.1.5 より新しいので --allow-emacs-pinentry が使えそうでした。 Ubuntu の gnupg パッケージ で確認すると yakkety (16.10) では 2.1.15-1ubuntu6 のようで、すでに 2 系列のようなので、 Debian リリース前でも Ubuntu の方を使えば安定版で gnupg が 2 系列になったものを用意できそうなので、後で調べてみようと思いました。

Comments